com.google.gwt.user.server.rpc

## Class SerializationPolicyLoader

- java.lang.Object
- - com.google.gwt.user.server.rpc.SerializationPolicyLoader

    public final class SerializationPolicyLoader
    extends java.lang.Object

API for loading a `SerializationPolicy`.

### Field Summary

Fields
`static java.lang.String` `CLIENT_FIELDS_KEYWORD` Keyword for listing the serializable fields of an enhanced class that are visible to client code.
`static java.lang.String` `FINAL_FIELDS_KEYWORD` Keyword for final field serialization strategy.
`static java.lang.String` `SERIALIZATION_POLICY_FILE_ENCODING` Default encoding for serialization policy files.

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static java.lang.String` `getSerializationPolicyFileName(java.lang.String serializationPolicyStrongName)` Returns the serialization policy file name from the serialization policy strong name.
`static SerializationPolicy` `loadFromStream(java.io.InputStream inputStream)` Deprecated. see `loadFromStream(InputStream, List)`
`static SerializationPolicy` `loadFromStream(java.io.InputStream inputStream, java.util.List<java.lang.ClassNotFoundException> classNotFoundExceptions)` Loads a SerializationPolicy from an input stream and optionally record any `ClassNotFoundException`s.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CLIENT_FIELDS_KEYWORD

    public static final java.lang.String CLIENT_FIELDS_KEYWORD

Keyword for listing the serializable fields of an enhanced class that are visible to client code.

See Also:
  Constant Field Values

#### FINAL_FIELDS_KEYWORD

    public static final java.lang.String FINAL_FIELDS_KEYWORD

Keyword for final field serialization strategy.

See Also:
  Constant Field Values

#### SERIALIZATION_POLICY_FILE_ENCODING

    public static final java.lang.String SERIALIZATION_POLICY_FILE_ENCODING

Default encoding for serialization policy files.

See Also:
  Constant Field Values

### Method Detail

#### getSerializationPolicyFileName

    public static java.lang.String getSerializationPolicyFileName(java.lang.String serializationPolicyStrongName)

Returns the serialization policy file name from the serialization policy strong name.

Parameters:
  `serializationPolicyStrongName` - the serialization policy strong name
Returns:
  the serialization policy file name from the serialization policy strong name

#### loadFromStream

    @Deprecated
    public static SerializationPolicy loadFromStream(java.io.InputStream inputStream)
                                                          throws java.io.IOException,
                                                                 java.text.ParseException,
                                                                 java.lang.ClassNotFoundException

Deprecated. see `loadFromStream(InputStream, List)`
Loads a SerializationPolicy from an input stream.

Parameters:
  `inputStream` - stream to load from
Returns:
  a `SerializationPolicy` loaded from the input stream
Throws:
  `java.io.IOException` - if an error occurs while reading the stream
  `java.text.ParseException` - if the input stream is not properly formatted
  `java.lang.ClassNotFoundException` - if a class specified in the serialization policy cannot be loaded

#### loadFromStream

    public static SerializationPolicy loadFromStream(java.io.InputStream inputStream,
                                                     java.util.List<java.lang.ClassNotFoundException> classNotFoundExceptions)
                                              throws java.io.IOException,
                                                     java.text.ParseException

Loads a SerializationPolicy from an input stream and optionally record any `ClassNotFoundException`s.

Parameters:
  `inputStream` - stream to load the SerializationPolicy from.
  `classNotFoundExceptions` - if not `null`, all of the `ClassNotFoundException`s thrown while loading this serialization policy will be added to this list
Returns:
  a `SerializationPolicy` loaded from the input stream.
Throws:
  `java.io.IOException` - if an error occurs while reading the stream
  `java.text.ParseException` - if the input stream is not properly formatted